import path from "node:path";
import { migrate } from "drizzle-orm/bun-sqlite/migrator";
import { database } from "./database";

async function runMigrations() {
	// const client = new Database('database.db')
	try {
		migrate(database, {
			migrationsFolder: path.join(__dirname, "migrations"),
		});
	} catch (error) {
		console.error("Failed to run migrations", error);
	}
}

runMigrations();
